﻿/* ***************************************************************************
 * This file is part of SharpNEAT - Evolution of Neural Networks.
 * 
 * Copyright 2004-2006, 2009-2010 Colin Green (sharpneat@gmail.com)
 *
 * SharpNEAT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SharpNEAT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SharpNEAT.  If not, see <http://www.gnu.org/licenses/>.
 */
using System.Drawing;
using System.Windows.Forms;

namespace SharpNeat.Domains
{
    /// <summary>
    /// Abstract class for problem domain visualization.
    /// </summary>
    public abstract class AbstractDomainView : UserControl
    {
        /// <summary>
        /// Refresh/update the view with the provided genome.
        /// </summary>
        abstract public void RefreshView(object genome);

        /// <summary>
        /// Gets the desired initial size for the view window.
        /// </summary>
        public virtual Size WindowSize
        {
            get { return new Size(500, 500); }
        }
    }
}
