﻿/* ***************************************************************************
 * This file is part of SharpNEAT - Evolution of Neural Networks.
 * 
 * Copyright 2004-2006, 2009-2010 Colin Green (sharpneat@gmail.com)
 *
 * SharpNEAT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SharpNEAT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SharpNEAT.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;

// Disable comment warnings for trivial class.
#pragma warning disable 1591

namespace SharpNeat.Domains.FunctionRegression
{
    public class LogNegFunction : IFunction
    {
        public double GetValue(double[] args)
        {
            return 1-(0.1 + (Math.Log(args[0]) * 0.17));
        }

        public int InputCount
        {
            get { return 1; }
        }

        public String Name
        {
            get { return "1-Log(x)"; }
        }
    }
}
